Name:           libgweather
Version:        3.36.2
Release:        2
Summary:        A library for weather information

License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/LibGWeather
Source0:        https://download.gnome.org/sources/libgweather/3.36/%{name}-%{version}.tar.xz

Patch9000:	0001-libweather-modification-summary.patch

BuildRequires:  gettext gtk-doc meson vala geocode-glib-devel glade-devel
BuildRequires:  gobject-introspection-devel gtk3-devel libsoup-devel libxml2-devel

%description
libgweather is the location/timezone/weather library/database used by InitialSetup,
 Weather, Clocks, Shell and Calendar.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/libgweather-3.so.16*
%{_libdir}/girepository-1.0/GWeather-3.0.typelib
%{_datadir}/libgweather/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/locale/*

%files devel
%defattr(-,root,root)
%{_includedir}/libgweather-3.0
%{_libdir}/libgweather-3.so
%{_libdir}/pkgconfig/gweather-3.0.pc
%{_datadir}/gir-1.0/GWeather-3.0.gir
%{_datadir}/glade/catalogs/libgweather.xml
%{_datadir}/vala/vapi/*

%files help
%defattr(-,root,root)
%doc NEWS HACKING README.md
%{_datadir}/gtk-doc/html/libgweather/

%changelog
* Fri Nov 04 2022 peijiankang <peijiankang@kylinos.cn> - 3.36.2-2
- Fallback version to 3.36.2

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 4.0.0-1
- Update to 4.0.0

* Mon May 24 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.36.2-1
- Upgrade to 3.36.2
- Update Version, BuildRequires, stage 'install' and 'files'

* Wed Jan 27 2021 hanhui <hanhui15@huawei.com> - 3.36.1-1
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: update to 3.36.1

* Mon Dec 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.32.2-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify the patch

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.32.2-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:bugfix about translations from Macau to Macao

* Fri Sep 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.32.2-1
- Package init
